Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`stdio`.`TerminalProcessProtocol``

class documentation

`class TerminalProcessProtocol(protocol.ProcessProtocol): (source)`

Constructor: `TerminalProcessProtocol(proto)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `childConnectionLost` | Called when a file descriptor associated with the child process is closed.
Method | `connectionMade` | Called when a connection is made.
Method | `errReceived` | Report an error.
Method | `outReceived` | Receive data from the terminal.
Method | `processEnded` | Called when the child process exits and all file descriptors associated with it have been closed.
Method | `write` | Write to the terminal.
Instance Variable | `onConnection` | Undocumented
Instance Variable | `proto` | Undocumented

Inherited from `ProcessProtocol`:

Method | `childDataReceived` | Called when data arrives from the child process.
Method | `errConnectionLost` | This will be called when stderr is closed.
Method | `inConnectionLost` | This will be called when stdin is closed.
Method | `outConnectionLost` | This will be called when stdout is closed.
Method | `processExited` | This will be called when the subprocess exits.
Instance Variable | `transport` | Undocumented

Inherited from `BaseProtocol` (via `ProcessProtocol`):

Method | `makeConnection` | Make a connection to a transport and a server.
Instance Variable | `connected` | Undocumented

def __init__(self, proto): (source)

Undocumented

def childConnectionLost(self, childFD): (source)
from `twisted.internet.interfaces.IProcessProtocol`
overrides `twisted.internet.protocol.ProcessProtocol.childConnectionLost`

Called when a file descriptor associated with the child process is closed.

Parameters
childFD | The file descriptor which was closed.

def connectionMade(self): (source)
overrides `twisted.internet.protocol.BaseProtocol.connectionMade`

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

def errReceived(self, data): (source)
overrides `twisted.internet.protocol.ProcessProtocol.errReceived`

Report an error.

Parameters
data:`bytes` | Data to include in `Failure`.

def outReceived(self, data): (source)
overrides `twisted.internet.protocol.ProcessProtocol.outReceived`

Receive data from the terminal.

Parameters
data:`bytes` | Data received.

def processEnded(self, reason): (source)
from `twisted.internet.interfaces.IProcessProtocol`
overrides `twisted.internet.protocol.ProcessProtocol.processEnded`

Called when the child process exits and all file descriptors associated with it have been closed.

Parameters
reason:`twisted.python.failure.Failure` | Undocumented

def write(self, data): (source)

Write to the terminal.

Parameters
data:`bytes` | Data to write.

onConnection = (source)

Undocumented

proto = (source)

Undocumented